import request from '/@/utils/request';

//获取话术列表
export function getscriptList(data: object) {
	return request({
		url: '/customer-server/scripted/speech/list',
		method: 'get',
		params: data,
	});
}

//增加话术
export function addScript(data: object) {
	return request({
		url: '/customer-server/scripted/speech/add',
		method: 'post',
		data: data,
	});
}

//删除话术列表
export function deleteScript(data: object) {
	return request({
		url: '/customer-server/scripted/speech/delete',
		method: 'post',
		data: data,
	});
}

//更新话术列表
export function updateScript(data: object) {
	return request({
		url: '/customer-server/scripted/speech/update',
		method: 'post',
		data: data,
	});
}

//获取话术详情
export function getScriptDetail(data: object) {
	return request({
		url: '/customer-server/scripted/speech/getOne',
		method: 'get',
		params: data,
	});
}
